cURL
curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v2/{instance}/start-typing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]"
}
'import requests
url = "https://app.hypersender.com/api/whatsapp/v2/{instance}/start-typing"
payload = { "chatId": "[email protected]" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chatId: '[email protected]'})
};
fetch('https://app.hypersender.com/api/whatsapp/v2/{instance}/start-typing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": true
}Start Typing
Indicate to the recipient that you are typing a message in the chat using Hypersender WhatsApp API.
POST
/
{instance}
/
start-typing
cURL
V2 Queued Response: All API requests in V2 are queued for improved reliability. You’ll receive an immediate response with a
queued_request_uuid that you can use to check the actual message status.Response Format
All requests return a queued response:{
"queued": true,
"message": "Processing your request...",
"queued_request_uuid": "a0816120-7e37-4e8b-8cf3-92deb2cdc133",
"queued_request_link": "https://app.hypersender.com/api/whatsapp/v2/{instance}/queued-requests/a0816120-7e37-4e8b-8cf3-92deb2cdc133"
}
queued_request_link or the Get Queued Request endpoint to check the actual message response once it’s processed.
More details on queued requests can be found in the Queued Requests Documentation.
Start typing in the chat.

Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
application/json
Example:
"application/json"
application/json
Example:
"application/json"
Path Parameters
Instance UUID copied from hypersender dashboard
Example:
"{{ instance_id }}"
Body
application/json
Example:
Response
Successful response